SETARCH(8)

NOM
setarch - Modifier l’architecture signalée dans un nouvel environnement de programme et définir les attributs de personnalité

SYNOPSIS

setarch [arch] [options] [programme [argument ...]]

setarch --list|-h|-V

arch [options] [programme [argument ...]]

DESCRIPTION

setarch modifie les domaines d’exécution et les attributs de personnalité de processus.

Les domaines d’exécution n'affectent actuellement que la sortie de uname -m. Par exemple, sur un système AMD 64, l'exécution de setarch i386 programme aura pour conséquence que programme verra i686 au lieu de x86_64 comme type de machine. setarch peut être aussi utilisé pour régler diverses options de personnalité. Le programme par défaut est /bin/sh.

Depuis la version 2.33, l’argument arch de ligne de commande est facultatif et setarch peut être utilisé pour modifier les attributs de personnalité (ADDR_LIMIT_*, SHORT_INODE, etc) sans modification du domaine d’exécution.

OPTIONS

--list
    Afficher les architectures connues par setarch. La faculté de setarch à définir une de ces architectures dépend en réalité du noyau utilisé.

--uname-2.6
    Forcer le programme à voir un numéro de version du noyau qui commence par 2.6. Activation de UNAME26.

-v, --verbose
    Sortie détaillée.

-3, --3gb
    Indiquer que programme ne doit utiliser qu'un maximum de 3 Go d'espace d'adressage. Prise en charge sur x86. Activation de ADDR_LIMIT_3GB.

--4gb
    Cette option ne produit aucun effet. Elle est conservée pour des raisons de rétrocompatibilité et pourrait être supprimée dans une prochaine publication.

-B, --32bit
    Limitation de l’espace d’adressage à 32 bits pour l’émulation du matériel. Prise en charge sur ARM et Alpha. Activation de ADDR_LIMIT_32BIT.

-F, --fdpic-funcptrs
    Traiter les pointeurs de fonction en espace utilisateur vers des gestionnaires de signal comme des pointeurs vers des descripteurs d’adresse. Cette option n’a aucun effet sur les architectures ne gérant pas les binaires FDPIC ELF. Dans les noyaux de version 4.14, la prise en charge est limitée aux architectures de processeur ARM, Blackfin, Fujitsu FR-V et SuperH.

-I, --short-inode
    Attribut obsolète d’émulation de bogue. Activation de SHORT_INODE.

-L, --addr-compat-layout
    Fourniture de la disposition d'espace d’adressage virtuel historique. Utiliser quand le binaire de programme n’a pas d’en-tête PT_GNU_STACK ELF. Activation de ADDR_COMPAT_LAYOUT.

-R, --addr-no-randomize
    Désactiver l'ajout d'aléa pour l'espace d'adressage virtuel. Activation de ADDR_NO_RANDOMIZE.

-S, --whole-seconds
    Attribut obsolète d’émulation de bogue. Activation de WHOLE_SECONDS.

-T, --sticky-timeouts
    Cette option fait que les appels système select(2), pselect(2) et ppoll(2) préservent la valeur de temporisation au lieu de la modifier pour refléter la durée sans attente lors d’une interruption par un gestionnaire de signal. À utiliser quand programme dépend de ce comportement. Pour plus de détails, consulter la description de la temporisation dans la page de manuel de select(2). Activation de STICKY_TIMEOUTS.

-X, --read-implies-exec
    Si cette option est utilisée, alors PROT_READ de mmap(3p) ajoutera aussi le bit PROT_EXEC comme attendu par les binaires x86 historiques. Attention au fait que le chargeur ELF réglera automatiquement ce bit lorsqu’il rencontrera un binaire ancien. Activation de READ_IMPLIES_EXEC.

-Z, --mmap-page-zero
    Émulation de bogue SVr4 réglant la page zéro de mmap(3p) en lecture seule. À utiliser quand programme dépend de ce comportement et que le code source n’est pas accessible pour être corrigé. Activation de MMAP_PAGE_ZERO.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version puis quitter.

EXEMPLE

    setarch --addr-no-randomize mytestprog
    setarch ppc32 rpmbuild --target=ppc --rebuild foo.src.rpm
    setarch ppc32 -v -vL3 rpmbuild --target=ppc --rebuild bar.src.rpm
    setarch ppc32 --32bit rpmbuild --target=ppc --rebuild foo.src.rpm

AUTEURS

VOIR AUSSI

personality(2), select(2)

SIGNALER DES BOGUES

Pour envoyer un rapport de bogue, utilisez le système de gestion des problèmes à l'adresse

DISPONIBILITÉ

La commande setarch fait partie du paquet util-linux, qui peut être téléchargé de

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <ccb@club-internet.fr>, Michel Quercia <quercia AT cal DOT enst DOT fr>, Thierry Vignaud <tvignaud@mandriva.com>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Christophe Sauthier <christophe@sauthier.com>, Sébastien Blanchet, Jérôme Perzyna <jperzyna@yahoo.fr>, Aymeric Nys <aymeric AT nnx POINT com>, Alain Portal <aportal@univ-montp2.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Yves Rütschlé <l10n@rutschle.net>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Philippe Piette <foudre-blanche@skynet.be>, Jean-Baka Domelevo-Entfellner <domelevo@gmail.com>, Nicolas Haller <nicolas@boiteameuh.org>, Sylvain Archenault <sylvain.archenault@laposte.net>, Valéry Perrin <valery.perrin.debian@free.fr>, Jade Alglave <jade.alglave@ens-lyon.org>, Nicolas François <nicolas.francois@centraliens.net>, Alexandre Kuoch <alex.kuoch@gmail.com>, Lyes Zemmouche <iliaas@hotmail.fr>, Florentin Duneau <fduneau@gmail.com>, Alexandre Normand <aj.normand@free.fr>, David Prévot <david@tilapin.org> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.